{
  description = "Downloads/compiles/installs clipboard-upload and clipboard-download";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        
        # Replace with the actual GitHub repository URL and revision
        src = pkgs.fetchgit {
          url= "https://git.lerch.org/lobo/clipboard.git";
          rev = "af6be8c6501f72d6cb3564594a51790f29e2689e";
          sha256 = "sha256-AP7YG/LX77KWZept9/9tv402PsDQQUm9pOXzbgvLqbo=";
        };

      in {
        packages.default = pkgs.stdenv.mkDerivation {
          pname = "lerchclipboard";
          version = "0.1.0";

          inherit src;

          nativeBuildInputs = [ pkgs.zig ];
          buildInputs = with pkgs.xorg; [ libX11 libXfixes ];

          buildPhase = ''
            zig build
          '';

          installPhase = ''
            mkdir -p $out/bin
            cp zig-out/bin/* $out/bin/
          '';
        };

        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs.xorg; [ pkgs.zig libX11 libXfixes ];
        };
      }
    );
}
